/** 单证 -- 订单数据 **/

import { getAction, postAction,deleteAction } from '@/api/manage'

// 分页列表查询
const orderList = params => getAction('/orderData/syOrderData/list', params)

// 根据订单号查询 （详情）
const orderByNum = params => getAction('/orderData/syOrderDataItem/lists', params)

//全量同步
const syncy = params => getAction('/sys/quartzJob/execute', params)

//单条同步
const oneSyncy = params => postAction('/orderData/syOrderData/tongBu', params)

//订单数据同步接口-分页列表查询销售订单
const salesOrder = params => getAction('/orderData/sySOAndOM/querySOList', params)

//订单数据同步接口-分页列表查询委外订单
const subcontractOrder = params => getAction('/orderData/sySOAndOM/queryOMList', params)

//订单数据同步接口-保存销售订单
const submitSalesOrder = params => postAction('/orderData/sySOAndOM/addSOAndOM', params)
//  删除
const deleteOrder = params => deleteAction('/orderData/sySOAndOM/delOrder', params)

export { orderList, orderByNum, syncy,oneSyncy,salesOrder,subcontractOrder,submitSalesOrder,deleteOrder}
